import java.awt.*;
import java.awt.event.*;

public class FensterFlaeche extends Panel {

   private TextField t1, t2, t3 ;
   private Button b ;
   // private Controller listener ;

   // Konstruktor
   public FensterFlaeche() {
      // einen (beliebigen) Layoutmanager festlegen
      setLayout(new FlowLayout(FlowLayout.RIGHT));

      // 1. Textfeld (Eingabefeld)
      add(new Label("Eingabe: ")) ;
      t1 = new TextField(15);
      add(t1) ;

      // 2./3. Textfeld (Ausgabefeld)
      add(new Label("Ausgabe: "));
      t2 = new TextField(15);
      t2.setEditable(false);
      add(t2) ;

      add(new Label("Anzahl Zeichen: "));
      t3 = new TextField(15);
      t3.setEditable(false);
      add(t3) ;
      
      // Button instanziieren, mit Controller
      b = new Button("bertragen") ;
      // b.addActionListener(listener) ;
      add(b);

   }

   public static void main(String[] args) {
      Frame fenster = new Frame("Beispiel: Panel als Oberklasse");
      // Instanz des Panels wird in den Frame eingefgt
      fenster.add(new FensterFlaeche());

      fenster.setSize(280,180);
      fenster.setLocation(150, 150);
      fenster.setVisible(true);
      
      // WindowListener instanziieren und registrieren
      // als anonyme Klasse
      fenster.addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            Frame f = (Frame) e.getSource() ;
            f.setVisible(false) ;
            f.dispose() ;
            System.exit(0) ;
         }
      } );
   }
}

